Subject: Previous email
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 1 Jun 2001 13:44:41 -0700 (PDT)

Hi Cindy, how are you? I'm not surprised that you didn't receive my email to
Stan. After returning to the states recently from a three week trip, I've had
nothing but problems with my email as I've switched several times. Anyway, my
last note to Stan was to inform him that I'm back in the states and would like
to take him up on his previous offer, from our last meeting, to introduce me
to the key leaders in EES. Currently, I'm engaged in a consulting assignment
which may take me back to Asia but I know that I will be in town June 8 and
11. I will be traveling to the west coast next week but you can always reach
me on my mobile or email. Thanks for calling me back. See ya soon!

Rich Leong
(H) 281.488.6414
(M) 281.615.1372
Email 1: [email-masked] (temporary)
Email 2: [email-masked]